## digitools 1.0

=== Makefile ===
# Edit the line(s) below to change installation directory.
PREFIX = $(DESTDIR)/usr/local
SBINDIR = $(PREFIX)/sbin

# Users should not need to edit anything below this line.
LDFLAGS = -lasound
CFLAGS = -Wall -Os

LN = ln
STRIP = strip

BIN = digitools
SYMLINK_PANEL = digipanel
SYMLINK_RADIO = digiradio
SYMLINK_FAN = digifan
SYMLINK_WAKE = digiwake
SYMLINK_EDIT = ozedit
SYMLINK_OLDPANEL = setpanel
SYMLINK_OLDRADIO = setradio
SYMLINK_OLDFAN = asusfan

OBJS = ozedit.o digitools.o digiwake.o digifan.o it8705.o oz263.o digipanel.o sndctrl.o

default:	clean $(BIN) symlinks

$(BIN):	$(OBJS)

.PHONY: strip

strip:	$(BIN)
	$(STRIP) $(BIN)

.PHONY: symlinks

symlinks:	$(BIN)
	ln -s $(BIN) $(SYMLINK_PANEL)
	ln -s $(BIN) $(SYMLINK_RADIO)
	ln -s $(BIN) $(SYMLINK_FAN)
	ln -s $(BIN) $(SYMLINK_WAKE)
	ln -s $(BIN) $(SYMLINK_EDIT)

.PHONY: oldsymlinks

oldsymlinks:	$(BIN)
	ln -s $(BIN) $(SYMLINK_OLDPANEL)
	ln -s $(BIN) $(SYMLINK_OLDRADIO)
	ln -s $(BIN) $(SYMLINK_OLDFAN)

.PHONY:	clean

clean:
	rm -rf *.o $(BIN) $(SYMLINK_PANEL) $(SYMLINK_RADIO) \
           $(SYMLINK_FAN) $(SYMLINK_WAKE) $(SYMLINK_EDIT) \
           $(SYMLINK_OLDPANEL) $(SYMLINK_OLDRADIO) $(SYMLINK_OLDFAN)

.PHONY:	oldinstall

oldinstall:	$(BIN)
	install -d $(SBINDIR)
	install -m 755 $(BIN) $(SBINDIR)
	$(LN) -s $(BIN) $(SBINDIR)/$(SYMLINK_OLDPANEL)
	$(LN) -s $(BIN) $(SBINDIR)/$(SYMLINK_OLDFAN)

.PHONY:	install

install:	$(BIN)
	install -d $(SBINDIR)
	install -m 755 $(BIN) $(SBINDIR)
	$(LN) -s $(BIN) $(SBINDIR)/$(SYMLINK_PANEL)
	$(LN) -s $(BIN) $(SBINDIR)/$(SYMLINK_RADIO)
	$(LN) -s $(BIN) $(SBINDIR)/$(SYMLINK_FAN)
	$(LN) -s $(BIN) $(SBINDIR)/$(SYMLINK_WAKE)
	$(LN) -s $(BIN) $(SBINDIR)/$(SYMLINK_EDIT)

.PHONY: uninstall

uninstall:
	rm -f $(SBINDIR)/$(BIN) $(SBINDIR)/$(SYMLINK_PANEL) \
          $(SBINDIR)/$(SYMLINK_RADIO) $(SBINDIR)/$(SYMLINK_FAN) \
          $(SBINDIR)/$(SYMLINK_WAKE) $(SBINDIR)/$(SYMLINK_EDIT)

.PHONY: olduninstall

olduninstall:
	rm -f $(SBINDIR)/$(BIN) $(SBINDIR)/$(SYMLINK_OLDPANEL) \
          $(SBINDIR)/$(SYMLINK_OLDFAN)

## digitools 1.03

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,11 @@
 
 LN = ln
 STRIP = strip
+TAR = tar
+VER = `sed -n "s/.*DIGI_VER.*\"\(.*\)\"/\1/p" digitools.h`
 
 BIN = digitools
+DIR = digitools
 SYMLINK_PANEL = digipanel
 SYMLINK_RADIO = digiradio
 SYMLINK_FAN = digifan
@@ -49,7 +52,7 @@
 .PHONY:	clean
 
 clean:
-	rm -rf *.o $(BIN) $(SYMLINK_PANEL) $(SYMLINK_RADIO) \
+	rm -rf *.o *.tar.* $(BIN) $(SYMLINK_PANEL) $(SYMLINK_RADIO) \
            $(SYMLINK_FAN) $(SYMLINK_WAKE) $(SYMLINK_EDIT) \
            $(SYMLINK_OLDPANEL) $(SYMLINK_OLDRADIO) $(SYMLINK_OLDFAN)
 
@@ -85,3 +88,10 @@
 	rm -f $(SBINDIR)/$(BIN) $(SBINDIR)/$(SYMLINK_OLDPANEL) \
           $(SBINDIR)/$(SYMLINK_OLDFAN)
 
+.PHONY: dist
+
+dist:	clean
+	$(TAR) -zcf digitools-$(VER).tar.gz \
+	  --exclude=.svn --exclude=digitools*.tar.* -C ../ $(DIR)
+	$(TAR) -jcf digitools-$(VER).tar.bz2 \
+	  --exclude=.svn --exclude=digitools*.tar.* -C ../ $(DIR)

=== debian/changelog ===
digitools (1.03-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Put libraries in LDLIBS, not LDFLAGS (closes: #641833, LP: #831389).

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Jun 2013 10:55:56 +0100

digitools (1.03-1.1) unstable; urgency=low

  * Non-maintainer upload; ACKed by the maintainer, see #664328.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #664328).
  * Update to Standards-Version to 3.9.3 and debhelper to 9.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 05 May 2012 22:15:14 +0300

digitools (1.03-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.7.3
  * Added description to patch 01_prefix.dpatch
  * Dont't call script at runlevel 1 (In fact, we only need to call the script
    at shutdown).
  * Fixed debian-rules-ignores-make-clean-error Lintian error.
  * Fixed copyright-without-copyright-notice Lintian error.
  * Fixed bashism on initscript (Closes: #480595)

 -- Cyril Lacoux (Yack) <clacoux@easter-eggs.com>  Fri, 16 May 2008 17:14:48 +0200

digitools (1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #469116)

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 02:21:06 +0200 

digitools (1.0-1) unstable; urgency=low

  * Initial release. (Closes: ##367893)

 -- Cyril Lacoux (Yack) <clacoux@easter-eggs.com>  Thu,  6 Apr 2006 21:39:48 +0200

=== debian/control ===
Source: digitools
Section: utils
Priority: extra
Maintainer: Cyril Lacoux (Yack) <clacoux@easter-eggs.com>
Build-Depends: debhelper (>= 9), libasound2-dev
Standards-Version: 3.9.3

Package: digitools
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A set of tools to control ASUS Digimatrix embedded hardware
 This package is a combination of the previous programs asusfan and setpanel.
 Included in this package are the following tools:
   digifan:   allows fan speed control 
              (formerly asusfan)
 .
   digipanel: allows control of the LED display, and volume knob controls
              the soundcard master mixer channel
              (formerly part of setpanel)
 .
   digiradio: allows control of the in-built radio
              (formerly part of setpanel)
 .
   digiwake:  allows for Wake-On-CIR (wake on remote) with existing
              versions of LIRC that support the digimatrix. This program
              just needs to be run after lircd, and the digimatrix will
              power on when pressing the music/(on/off) button on the
              remote control.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


#Architecture 
build: configure build-stamp
build-stamp: configure-stamp 

	# Add here commands to compile the arch part of the package.
	$(MAKE) 
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_install --sourcedir=debian/tmp --list-missing
	dh_installinit --no-start -u "stop 91 0 6 ."
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
